.invite {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(24);
    grid-template-columns: 1fr;

    &__item {
        overflow: hidden;
        position: relative;
        font-size: rem(16);
        line-height: rem(23);
        text-align: center;
        background: $white;
        border-radius: 10px;
        padding: rem(20) rem(20);

        &--xl {

            &:before {
                z-index: 1;
                content: '';
                width: 343px;
                height: 151px;
                display: block;
                bottom: -64px;
                right: -72px;
                position: absolute;
                background: url("../img/infite_bg.svg") 0 0 no-repeat;
                background-size: cover;
            }
        }
    }

    &__title {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(35);
        margin-bottom: rem(20);
    }

    &__button {
        max-width: rem(280);
        margin: rem(25) auto 0 auto;
    }

    &__wrap {
        z-index: 10;
        position: relative;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;

        &__item {

            &--xl {
                grid-column-start: 1;
                grid-column-end: 3;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__item {
            padding: rem(30);
            display: flex;
            flex-direction: column;

            &--xl {
                text-align: left;
            }
        }

        &__text {
            flex-grow: 1;
        }

        &__title {
            font-size: rem(28);
            line-height: rem(36);
        }

        &__button {
            width: rem(250);

            &--xl {
                margin: 0;
            }
        }

        &__wrap {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            font-size: rem(20);
            line-height: rem(30);
            padding: rem(40);

            &--xl {
                font-size: rem(24);
                line-height: rem(35);
                padding: rem(30) rem(64) rem(30) rem(30);

                .invite__title {
                    font-size: rem(34);
                    line-height: rem(45);
                    margin-bottom: rem(15);
                }

                &:before {
                    top: 0;
                    right: rem(-34);
                    bottom: auto;
                    width: 412px;
                    height: 181px;
                }
            }
        }

        &__title {
            font-size: rem(32);
            line-height: rem(40);
        }

        &__button {
            width: rem(345);
            margin: rem(30) auto 0 auto;
            flex-shrink: 0;

            &--xl {
                margin: 0;
            }
        }
    }
}
